# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "safe-vk"
version = "0.3.3-alpha"
authors = ["Azumi4han"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple library to create your own vk bot for conversations"
homepage = "https://github.com/Azumi4han/safe-vk"
readme = "README.md"
keywords = [
    "vk",
    "bot",
    "longpoll",
    "vkontakte",
    "chat-bot",
]
categories = [
    "asynchronous",
    "api-bindings",
    "network-programming",
]
license-file = "LICENSE"
repository = "https://github.com/Azumi4han/safe-vk"

[lib]
name = "safe_vk"
path = "src/lib.rs"

[dependencies.futures-core]
version = "0.3.30"

[dependencies.futures-util]
version = "0.3"
features = ["alloc"]
default-features = false

[dependencies.itoa]
version = "1.0.11"

[dependencies.pin-project-lite]
version = "0.2.7"

[dependencies.regex]
version = "1.10.3"

[dependencies.reqwest]
version = "0.11.23"
features = [
    "multipart",
    "json",
]

[dependencies.safe-vk-common]
version = "0.1.1"

[dependencies.safe-vk-macros]
version = "0.1.0"

[dependencies.serde]
version = "1"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1.0.111"

[dependencies.tokio]
version = "1.35.1"
optional = true
package = "tokio"

[dependencies.urlencoding]
version = "2.1.3"

[dev-dependencies.reqwest]
version = "0.11.23"
features = [
    "json",
    "multipart",
    "stream",
]

[dev-dependencies.tokio]
version = "1.35.1"
features = [
    "macros",
    "rt-multi-thread",
    "fs",
]

[features]
default = ["tokio"]
unsafe = []
